Download it now!
Bug 95285 - Numbered bibliography entries duplicate when inserted above previous entry
Summary: Numbered bibliography entries duplicate when inserted above previous entry
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2015-10-24 01:29 UTC by Chris Cameron
Modified: 2019-12-03 14:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer window showing duplicate citation numbers for different bibliography entries (422.22 KB, image/png)
2015-10-24 01:29 UTC, Chris Cameron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cameron 2015-10-24 01:29:02 UTC
Created attachment 119916 [details]
Writer window showing duplicate citation numbers for different bibliography entries

* Open a new document, put in several paragraphs of text
* Put cursor at end of the first paragraph
* Click "Insert", "Indexes and Tables", "Bibliography Entry"
* Click "From bibliography database"
* Select an entry, click "Insert"
* Put cursor at the end of the third paragraph
* Insert in a second citation for a different entry
* Close "Insert Bibliography Entry" window
* Put cursor on new line
* Click "Insert", "Indexes and Tables", "Indexes and Tables"
* For "Type" select "Bibliography"
* Check the box "Number entries"
* Click "OK"
* Insert a new, third citation after the second paragraph

For me, I see my citations now labeled [1],[2],[2]. If I put my cursor just in front of the third [2] and hit space, it'll change to [3].


I'd expect that all citations after the newly inserted citation would increment by one.
Comment 1 Buovjaga 2015-10-25 17:27:04 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2017-09-01 11:16:42 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-12-03 14:50:00 UTC
Dear Chris Cameron,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug